Get the next document numbers for an entity

Returns the next sequence number for various document types - invoices, quotes, credit notes, and others. For example, if the last issued invoice is `INV-00042`, the next invoice number is 43. To set the next document numbers, use `PATCH /entities/{entity_id}/settings`. For more information, see [Document number customization](https://docs.monite.com/advanced/document-number-customization).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
Unique ID of the entity

Headers

x-monite-versionstringRequired

Response

Successful Response
credit_noteintegerOptionalDefaults to 1
Next credit note number
delivery_noteintegerOptionalDefaults to 1
Next delivery note number
invoiceintegerOptionalDefaults to 1
Next invoice number
purchase_orderintegerOptionalDefaults to 1
Next purchase order number
quoteintegerOptionalDefaults to 1
Next quote number

Errors

401
Get Entities ID Settings Next Document Numbers Request Unauthorized Error
403
Get Entities ID Settings Next Document Numbers Request Forbidden Error
404
Get Entities ID Settings Next Document Numbers Request Not Found Error
422
Get Entities ID Settings Next Document Numbers Request Unprocessable Entity Error
429
Get Entities ID Settings Next Document Numbers Request Too Many Requests Error